Partial update plan (mutable fields)
curl --request PATCH \
--url https://api.piriod.com/plans/{id}/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--header 'x-simple-workspace: <x-simple-workspace>' \
--data '
{
"name": "<string>",
"description": "<string>",
"sku": "<string>",
"unit_label": "<string>",
"metadata": {}
}
'import requests
url = "https://api.piriod.com/plans/{id}/"
payload = {
"name": "<string>",
"description": "<string>",
"sku": "<string>",
"unit_label": "<string>",
"metadata": {}
}
headers = {
"x-simple-workspace": "<x-simple-workspace>",
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-simple-workspace': '<x-simple-workspace>',
Authorization: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
description: '<string>',
sku: '<string>',
unit_label: '<string>',
metadata: {}
})
};
fetch('https://api.piriod.com/plans/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"product": "<string>",
"name": "<string>",
"description": "<string>",
"frequency": "<string>",
"currency": "<string>",
"amount": 123,
"id": "<string>",
"sku": "<string>",
"exempt": false,
"usage_scheme": "licensed",
"usage_aggregation": "last_record",
"tiers_mode": "package",
"tiers": [
{
"amount": 123,
"quantity_from": 123,
"amount_scheme": "flat",
"quantity_to": 123,
"unit_scheme": "all_units"
}
],
"unit_label": "<string>",
"status": "active",
"archived": "2023-11-07T05:31:56Z",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z"
}Plans
Partial update plan (mutable fields)
PATCH
/
plans
/
{id}
/
Partial update plan (mutable fields)
Authorizations
Use header Authorization: Token <api_token>.
API tokens are obtained from the Piriod dashboard.
Headers
Workspace (account) identifier. Required for every request.
Whether to operate against test-mode data. Defaults to false.
Path Parameters
Resource identifier.
Body
application/json
Response
200 - application/json
Updated plan.
Product ID.
Maximum string length:
56Maximum string length:
200Frequency ID (e.g. monthly).
ISO currency code.
Maximum string length:
32Available options:
licensed, metered Available options:
last_record, max, sum Pricing mode for tiered plans. unit and range are deprecated
aliases of volume and package respectively.
Available options:
package, volume, graduated, package_overage, unit, range Show child attributes
Show child attributes
Maximum string length:
4Available options:
active, archived 